### Property

# Gtk Label:natural-wrap-mode

since: 4.6

#### Declaration

    property natural-wrap-mode: Gtk.NaturalWrapMode [ read, write ]

#### Description [src]

Select the line wrapping for the natural size request.

This only affects the natural size requested. For the actual wrapping used, see the `GtkLabel:wrap-mode` property.

The default is `GTK_NATURAL_WRAP_INHERIT`, which inherits the behavior of the `GtkLabel:wrap-mode` property.

Type: | `GtkNaturalWrapMode`
Available since: | 4.6

Default value | GTK_NATURAL_WRAP_INHERIT
Getter method | `gtk_label_get_natural_wrap_mode()`
Setter method | `gtk_label_set_natural_wrap_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no